package types

import "gorm.io/gorm"

type Bulletin struct {
	gorm.Model
	Board           string `json:"board"`
	SenderShortName string `json:"sender_short_name"`
	Subject         string `json:"subject"`
	Content         string `json:"content"`
	UniqueID        string `json:"unique_id"`
}

type Mail struct {
	gorm.Model
	Sender          string `json:"sender"`
	SenderShortName string `json:"sender_short_name"`
	Recipient       string `json:"recipient"`
	Subject         string `json:"subject"`
	Content         string `json:"content"`
	UniqueID        string `json:"unique_id"`
}

type Channel struct {
	gorm.Model
	Name string `json:"name"`
	Url  string `json:"url"`
}
